Ask Your Question
0

Enunicate version problem

asked 2014-10-28 11:24:11 -0700

shenh10 gravatar image

Hi all, I am trying to do some development on controller project. However, I met some compiling problems when using maven to compile to northbound projects. It seems the version of maven-enunciate-plugin is conflict with some source codes . Here shows the errors:

[INFO] [enunciate:docs {execution: default}]
[FATAL ERROR] org.codehaus.enunciate.DocsBaseMojo#execute() caused a linkage error (java.lang.NoClassDefFoundError) and may be out-of-date. Check the realms:
[FATAL ERROR] Plugin realm = app0.child-container[org.codehaus.enunciate:maven-enunciate-plugin:1.28]
urls[0] = file:/home/shenh10/.m2/repository/org/codehaus/enunciate/maven-enunciate-plugin/1.28/maven-enunciate-plugin-1.28.jar
urls[1] = file:/home/shenh10/.m2/repository/org/opendaylight/controller/sal/0.9.0-SNAPSHOT/sal-0.9.0-SNAPSHOT.jar
urls[2] = file:/home/shenh10/.m2/repository/org/apache/commons/commons-lang3/3.1/commons-lang3-3.1.jar
urls[3] = file:/home/shenh10/.m2/repository/org/apache/felix/org.apache.felix.dependencymanager/3.1.0/org.apache.felix.dependencymanager-3.1.0.jar
urls[4] = file:/home/shenh10/.m2/repository/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar
urls[5] = file:/home/shenh10/.m2/repository/org/osgi/org.osgi.compendium/4.2.0/org.osgi.compendium-4.2.0.jar
urls[6] = file:/home/shenh10/.m2/repository/org/slf4j/slf4j-api/1.7.2/slf4j-api-1.7.2.jar
urls[7] = file:/home/shenh10/.m2/repository/org/codehaus/enunciate/enunciate-swagger/1.28/enunciate-swagger-1.28.jar
urls[8] = file:/home/shenh10/.m2/repository/org/codehaus/enunciate/enunciate-core/1.28/enunciate-core-1.28.jar
urls[9] = file:/home/shenh10/.m2/repository/org/codehaus/enunciate/enunciate-core-rt/1.28/enunciate-core-rt-1.28.jar
urls[10] = file:/home/shenh10/.m2/repository/org/codehaus/enunciate/enunciate-core-annotations/1.28/enunciate-core-annotations-1.28.jar
urls[11] = file:/home/shenh10/.m2/repository/javax/annotation/jsr250-api/1.0/jsr250-api-1.0.jar
urls[12] = file:/home/shenh10/.m2/repository/javax/ws/rs/jsr311-api/1.1.1/jsr311-api-1.1.1.jar
urls[13] = file:/home/shenh10/.m2/repository/javax/servlet/servlet-api/2.3/servlet-api-2.3.jar
urls[14] = file:/home/shenh10/.m2/repository/org/freemarker/freemarker/2.3.19/freemarker-2.3.19.jar
urls[15] = file:/home/shenh10/.m2/repository/net/sf/apt-jelly/apt-jelly-freemarker/2.15/apt-jelly-freemarker-2.15.jar
urls[16] = file:/home/shenh10/.m2/repository/net/sf/apt-jelly/apt-jelly-core/2.15/apt-jelly-core-2.15.jar
urls[17] = file:/home/shenh10/.m2/repository/commons-digester/commons-digester/2.1/commons-digester-2.1.jar
urls[18] = file:/home/shenh10/.m2/repository/commons-beanutils/commons-beanutils/1.8.3/commons-beanutils-1.8.3.jar
urls[19] = file:/home/shenh10/.m2/repository/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar
urls[20] = file:/home/shenh10/.m2/repository/org/codehaus/jackson/jackson-mapper-asl/1.9.3/jackson-mapper-asl-1.9.3.jar
urls[21] = file:/home/shenh10/.m2/repository/org/codehaus/jackson/jackson-core-asl/1.9.3/jackson-core-asl-1.9.3.jar
urls[22] = file:/home/shenh10/.m2/repository/org/opendaylight/controller/commons.logback_settings/0.1.0-SNAPSHOT/commons.logback_settings-0.1.0-SNAPSHOT.jar
urls[23] = file:/home/shenh10/.m2/repository/org/codehaus/enunciate/maven-enunciate-slim-plugin/1.28/maven-enunciate-slim-plugin-1.28.jar
urls[24] = file:/home/shenh10/.m2/repository/org ...
(more)
edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-05-14 04:58:47 -0700

Robert Varga gravatar image

The problem is use of JDK8, which is not compatible with enunciate. This failure has been fixed in Lithium release train, and should work (by skipping enunciate when JDK8 is detected).

edit flag offensive delete publish link more
Login/Signup to Answer

Question Tools

Follow
1 follower

Stats

Asked: 2014-10-28 11:24:11 -0700

Seen: 305 times

Last updated: May 14 '15